/*******************************************************************************
 * FoxDamageType_Splash generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDamageType_Splash extends FoxDamageType
    abstract;

var const float DamagePercentageUsed;
var const float DamageRange;
var const bool bFlatSplashDamage;

static function ApplyEffect(FoxPawn VictimPawn, out int DamageAmount, optional Controller ControllerInstigator)
{
    // End:0x7B
    if((float(DamageAmount) * default.DamagePercentageUsed) >= float(1))
    {
        VictimPawn.HurtSplashRadius(int(float(DamageAmount) * default.DamagePercentageUsed), default.DamageRange, ControllerInstigator, default.Class, default.bFlatSplashDamage);
    }
    //return;    
}

defaultproperties
{
    bIgnoreDamageMultipliers=true
    bSuppressDeathMessage=false
    bAwardNoPoints=false
    DamagedFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_Splash.ForceFeedbackWaveformDamage'
    KilledFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_Splash.ForceFeedbackWaveformDeath'
}